Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 129396 - Tooltip is misplaced for several nodes of the same type
Tooltip is misplaced for several nodes of the same type
Status: VERIFIED FIXED
Product: soa
Classification: Unclassified
Component: BPEL Mapper
6.x
All All
: P4 (vote)
: 6.x
Assigned To: Alexander Permyakov
issues@soa
61fixes3-fixed
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-06 13:53 UTC by Kirill Sorokin
Modified: 2008-09-04 13:20 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
Screenshot (22.15 KB, image/png)
2008-03-06 13:54 UTC, Kirill Sorokin
Details
project with basic datatypes wsdl (7.65 KB, text/plain)
2008-07-18 20:34 UTC, ggenipudi
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kirill Sorokin 2008-03-06 13:53:45 UTC
Look at the attached screenshot. In this case I have a bunch of xsd:string typed nodes. The mouse cursor was moving from
bottom to the top. The tooltip was shown for the bottom-most string and has not moved with the cursor as it moved up
across the adjacent string nodes.
Comment 1 Kirill Sorokin 2008-03-06 13:54:13 UTC
Created attachment 57874 [details]
Screenshot
Comment 2 Alexander Permyakov 2008-05-12 14:10:15 UTC
fixed
changeset:   79268:69d86bdeaf5b
tag:         tip
user:        AlexanderPermyaKov <alex02@netbeans.org>
date:        Mon May 12 14:13:35 2008 +0400
summary:     fixed [Issue 129397] Improper tooltip for non-typed nodes
Comment 3 rbalada 2008-07-17 11:55:42 UTC
Kirill,

can you please verify the bugfix? Only verified bugfixes can be ported to Patch release.

Thanks,
-R
Comment 4 ggenipudi 2008-07-18 20:32:47 UTC
Tested and verified using SOADEV build and was able to verify the tool tip showed up correct for all the basic datatypes.
Comment 5 ggenipudi 2008-07-18 20:34:01 UTC
Created attachment 64992 [details]
project with basic datatypes wsdl
Comment 6 rbalada 2008-07-24 14:29:37 UTC
I've got one more question, perhaps for Kirill.

What makes this P4 issue that important, that it should be included in NetBeans 6.1 Patch3? 
Please describe/justify what is the quality improvement against non-fixed state.

Thanks,
-R
Comment 7 rbalada 2008-08-05 12:26:22 UTC
I see no justification for inclusion of this low priority bug. With NetBeans 6.1 Patch 3 and beyond, low priority
defects from P3 to P5 should include a justification and a safety assessment when nominated for patch inclusion. Could
QE provide that info? Please provide it by Wed Aug 6 11am SPB time.
Comment 8 Kirill Sorokin 2008-08-05 15:02:52 UTC
Ruda, we had a number of complaints from customers. It seems that this is a quite user-visible usability glitch.
Comment 9 rbalada 2008-08-06 11:03:56 UTC
I've transplanted the changeset http://hg.netbeans.org/main/rev/69d86bdeaf5b into release61_fixes repository as
http://hg.netbeans.org/release61_fixes/rev/ed33dc6c444c

Additional patching info
$ hg transplant -s ../main 69d86bdeaf5b
searching for changes
applying 69d86bdeaf5b
patching file bpel.mapper/src/org/netbeans/modules/bpel/mapper/tree/models/SimpleTreeInfoProvider.java
Hunk #1 succeeded at 84 with fuzz 1 (offset 1 line).
patching file bpel.mapper/src/org/netbeans/modules/bpel/mapper/tree/models/VariableTreeInfoProvider.java
Hunk #5 succeeded at 596 with fuzz 2 (offset 0 lines).
69d86bdeaf5b transplanted to ed33dc6c444c
$


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo